{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "ldz:troll_slam_spread",
			"basic_render_parameters": {
				"material": "particles_blend",
				"texture": "textures/particle/cartoon_poof"
			}
		},
		"components": {
			"minecraft:emitter_rate_instant": {
				"num_particles": 60
			},
			"minecraft:emitter_lifetime_once": {
				"active_time": 0.2
			},
			"minecraft:emitter_shape_disc": {
				"offset": [0, -0.2, 0],
				"radius": 6,
				"direction": ["math.random(-0.5,0.5)", "math.random(-2,-3)", "math.random(-0.5,0.5)"]
			},
			"minecraft:particle_lifetime_expression": {
				"max_lifetime": 1.6
			},
			"minecraft:particle_initial_spin": {
				"rotation": "math.random(0,360)"
			},
			"minecraft:particle_initial_speed": "math.random(1,3)",
			"minecraft:particle_motion_dynamic": {
				"linear_acceleration": [0, -3, 0],
				"linear_drag_coefficient": "math.random(0,0.2)"
			},
			"minecraft:particle_appearance_billboard": {
				"size": [0.2, 0.2],
				"facing_camera_mode": "rotate_xyz",
				"uv": {
					"texture_width": 64,
					"texture_height": 8,
					"flipbook": {
						"base_UV": [0, 0],
						"size_UV": [8, 8],
						"step_UV": [8, 0],
						"max_frame": 3
					}
				}
			},
			"minecraft:particle_appearance_lighting": {},
			"minecraft:particle_appearance_tinting": {
				"color": {
					"interpolant": "v.particle_age / v.particle_lifetime",
					"gradient": {
						"0.59": "#FFADADAD",
						"1.0": "#00686868"
					}
				}
			}
		}
	}
}